package com.adealink.weparty.wallet.data

import com.google.gson.annotations.SerializedName


data class WalletRes(
    @SerializedName("goldCoin") val coin: Double,
    @SerializedName("totalGoldCoinConsume") val totalGoldCoinConsume: Double,

    @SerializedName("diamond") val diamond: Double,
    @SerializedName("totalDiamondConsume") val totalDiamondConsume: Double,

    @SerializedName("bean") val bean: Double,
)

enum class PayChannel(val value: String) {
    Google("default");

    companion object {
        fun map(channel: String): PayChannel? {
            return PayChannel.entries.firstOrNull { it.value == channel }
        }
    }
}
